Subject: Re: [Shop-talk] Pressure washers (electric ones.)

From: "Arvid Jedlicka" <[email-masked]>
Date: Mon, 26 Jan 2015 08:48:16 -0600

_______________________________________________

[email-masked]
Archive: http://www.team.net/archive

---

From: "Lee Daniels" <[email-masked]>
Date: Mon, 26 Jan 2015 15:00:08 -0600

I often rely on the reviews on amazon.com, even when I'm not buying there.

This one:  http://amzn.com/B00CPGMUXW
appears to be the highest-rated one on Amazon. Scroll down the page a bit and
you should also see "compare to similar items" section that may be helpful.

Read through the reviews and you'll get a feel for what people like and don't
like.

Lee

On Sun, January 25, 2015 18:25, [email-masked] wrote:
> OK, I'm in the market for an electric pressure washer.  I have a gas one
> for the times I need the extra power, but I really like the convenience of an
> electric one that I don't have to 'fuss' with each time I use it.
>
> I know quality an performance vary completely in this market.  I've been
> all over the internet searching and I can't find any definitive winners. I'm
> not too worried about price, but I want a really good one (but I'm not going
> for the Snap on versions or anything.  BTW, did you know that Snap On does NOT
> have a lifetime on their PW.  It's a one year only.)  Oh, I have a Snap On
> branded one that stopped working.  8>(
>
> Does anyone have any pointers for good ones, or sites that compare them?

[email-masked]